Pistis
API referenceMessages

Wait for a message's turn

GET
/sessions/{id}/submissions/{sid}

Holds the request until the turn that took the message ends, for up to 25 seconds; then 202: ask again.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

sid*string

A submission id

Response Body

The turn ended: done, or unanswered with why

application/json
  1. response
status*unknown
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/submissions/sub_1'
Example Response
{  "status": "done"}